Author Topic: ndless sdk  (Read 1989 times)

0 Members and 1 Guest are viewing this topic.

Offline Legimet

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 333
  • Rating: +29/-0
    • View Profile
Re: ndless sdk
« Reply #30 on: August 03, 2017, 10:36:06 am »
@Jonson26 g++, not gcc. These are 2 different packages...
If you want to use GNU/Linux, it is very easy.

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #31 on: August 04, 2017, 06:14:24 pm »
G++ was already there too.
Again, i only want the compiled stuff to work on my calculator...  :'(
Old binaries will be fine for me as long as they don't have any "critical " bugs, that make your device go "BOOOM!!!".

Offline Legimet

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 333
  • Rating: +29/-0
    • View Profile
Re: ndless sdk
« Reply #32 on: August 05, 2017, 03:22:25 pm »
@Jonson26 What error message did you get this time? What distro are you using?
« Last Edit: August 05, 2017, 03:42:59 pm by Legimet »

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #33 on: August 07, 2017, 12:20:08 pm »
I'm using zorin os (it's based on ubuntu).
The error was something like error: 2. The same thing that i had on cygwin.
Again: I could also use outtdated binaries, as long as theey work with my calc(ti-nspire cas classic - os 3.9.0 latest ndless).

Offline Eeems

  • Mr. Dictator
  • Administrator
  • LV13 Extreme Addict (Next: 9001)
  • *************
  • Posts: 6083
  • Rating: +316/-36
  • C'est la vie
    • View Profile
    • Eeems
Re: ndless sdk
« Reply #34 on: August 07, 2017, 08:29:04 pm »
@Jonson26 Just to be clear, you followed the following instructions and were still getting the same error, or a new one?
Also, you still need to fix the zehn.h symlink, but it is located in ndless-sdk/tools/genzehn. You need to replace it with the file in ndless-sdk/include.
/e

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #35 on: August 10, 2017, 06:15:10 am »
I only followed this instruction when i was using cygwin. I thought Linux systems don't need this fix (Or do they?), so i just git cloned the repository and installed the listed dependencies.
BTW, you should list libpython 2.7 devel on the dependencies list, as the sh script returns an error about it being missing immediatley after launching it. Just to be clear, it happened to me on both Windows and Linux, so it's not a platform-based problem.

Offline Eeems

  • Mr. Dictator
  • Administrator
  • LV13 Extreme Addict (Next: 9001)
  • *************
  • Posts: 6083
  • Rating: +316/-36
  • C'est la vie
    • View Profile
    • Eeems
Re: ndless sdk
« Reply #36 on: August 10, 2017, 11:00:28 am »
I only followed this instruction when i was using cygwin. I thought Linux systems don't need this fix (Or do they?), so i just git cloned the repository and installed the listed dependencies.
Correct this was only for Windows. I was just going back through the posts and realized you never told us the result of this.
BTW, you should list libpython 2.7 devel on the dependencies list, as the sh script returns an error about it being missing immediately after launching it.
It's a github wiki page, you should make the edit
Just to be clear, it happened to me on both Windows and Linux, so it's not a platform-based problem.
Could you post the logs so we can have a bit more context as to where it is happening on linux? Or is it giving the exact same output you had before?
/e

Offline Legimet

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 333
  • Rating: +29/-0
    • View Profile
Re: ndless sdk
« Reply #37 on: August 10, 2017, 11:30:35 am »
Please post the complete output of build_toolchain.sh so that we can find the error.

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #38 on: August 11, 2017, 12:44:19 pm »
The fix didn't help. :(
Here i post the terminal output copied into a txt file.

Offline Legimet

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 333
  • Rating: +29/-0
    • View Profile
Re: ndless sdk
« Reply #39 on: August 11, 2017, 09:08:30 pm »
This is a bug in GDB. It requires to install texinfo (although it shouldn't be necessary):
Code: [Select]
sudo apt install texinfo
Do this and run again. It's almost done!

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #40 on: August 16, 2017, 05:51:06 am »
It worked!
But now i can't get through the 'make' process...
When i run it in the main folder (The one with the folders named ndless and ndless-sdk), i get this output:
Code: [Select]
make -C ndless-sdk
make[1]: Entering directory `/home/jamroga/Ndless/ndless-sdk'
make -C libsyscalls
make[2]: Entering directory `/home/jamroga/Ndless/ndless-sdk/libsyscalls'
php mkStubs.php > ../include/syscall-decls.h
/bin/sh: 1: php: not found
make[2]: *** [stubs.cpp] Error 127
make[2]: Leaving directory `/home/jamroga/Ndless/ndless-sdk/libsyscalls'
make[1]: *** [build-libsyscalls] Error 2
make[1]: Leaving directory `/home/jamroga/Ndless/ndless-sdk'
make: *** [build-ndless-sdk] Error 2

Offline Eeems

  • Mr. Dictator
  • Administrator
  • LV13 Extreme Addict (Next: 9001)
  • *************
  • Posts: 6083
  • Rating: +316/-36
  • C'est la vie
    • View Profile
    • Eeems
Re: ndless sdk
« Reply #41 on: August 16, 2017, 11:19:39 am »
It worked!
But now i can't get through the 'make' process...
When i run it in the main folder (The one with the folders named ndless and ndless-sdk), i get this output:
Code: [Select]
make -C ndless-sdk
make[1]: Entering directory `/home/jamroga/Ndless/ndless-sdk'
make -C libsyscalls
make[2]: Entering directory `/home/jamroga/Ndless/ndless-sdk/libsyscalls'
php mkStubs.php > ../include/syscall-decls.h
/bin/sh: 1: php: not found
make[2]: *** [stubs.cpp] Error 127
make[2]: Leaving directory `/home/jamroga/Ndless/ndless-sdk/libsyscalls'
make[1]: *** [build-libsyscalls] Error 2
make[1]: Leaving directory `/home/jamroga/Ndless/ndless-sdk'
make: *** [build-ndless-sdk] Error 2
I'm going to guess you didn't install php, or do you don't have it on your path.
Code: [Select]
sudo apt install php5
/e

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #42 on: August 16, 2017, 12:57:51 pm »
I didn't have php indeed, but after installing it i still get the same error message when running make...
I still want those old binaries, thought.

Offline Legimet

  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 333
  • Rating: +29/-0
    • View Profile
Re: ndless sdk
« Reply #43 on: August 16, 2017, 06:05:10 pm »
Code: [Select]
sudo apt install php-cli

Offline Jonson26

  • LV3 Member (Next: 100)
  • ***
  • Posts: 69
  • Rating: +0/-0
    • View Profile
Re: ndless sdk
« Reply #44 on: August 17, 2017, 04:20:13 pm »
I am unable to install it. It says, that the package was not found.